package _VisualDVM.Visual.Menus.MainMenuBar;
import Common.Visual.Menus.VisualiserMenu;
import _VisualDVM.ComponentsServer.Component.Sapfor.Sapfor;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
public class AnalysesMenu extends VisualiserMenu {
    public AnalysesMenu() {
        super("Анализаторы", "/icons/Analyses.png");
        for (PassCode code : Sapfor.getAnalysesCodes())
            add(Global.mainModule.getPass(code).createMenuItem());
        addSeparator();
        add(Global.mainModule.getPass(PassCode.SPF_GetGCovInfo).createMenuItem());
    }
}
